Subject: Re: bug#50538: [PATCH] 28.0.50; electric-pair-mode fails to pair double quotes in some cases in CC mode

From: João Távora <[email-masked]>
Date: Thu, 16 Sep 2021 18:33:12 +0100

On Thu, Sep 16, 2021 at 6:11 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Cc: Dmitry Gutov <[email-masked]>,  Eli Zaretskii <[email-masked]>,  Jim
> >  Porter <[email-masked]>,  [email-masked],  Alan Mackenzie
> >  <[email-masked]>
> > Date: Thu, 16 Sep 2021 18:04:53 +0100
> >
> > Hope this helps.  I'm sorry I can't offer any better solutions.
>
> Thanks, but I'm not sure I understand what is your opinion about the
> proposed patch.  Are you saying we shouldn't install it?

That patch targets mainly cc-mode.el.  To have an opinion would
require me to understand it, interpret its meaning. That has many
implications...  I can't do that right now.  I can confirm that the small
change to electric-tests.el (which activates many tests for c-mode) is
indeed the way I wrote those tests originally.  Maybe Jim has
found a silver bullet?

João